SDL_GetSurfaceColorspace(3)

NAME
SDL_GetSurfaceColorspace - Get the colorspace used by a surface.

HEADER FILE
Defined in SDL3/SDL_surface.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_GetSurfaceColorspace(SDL_Surface *surface, SDL_Colorspace *colorspace);

DESCRIPTION
The colorspace defaults to SDL_COLORSPACE_SRGB_LINEAR
 for floating point formats, SDL_COLORSPACE_HDR10
 for 10-bit formats, SDL_COLORSPACE_SRGB
 for other RGB surfaces and SDL_COLORSPACE_BT709_FULL
 for YUV textures.

FUNCTION PARAMETERS

surface
    the SDL_Surface
     structure to query

colorspace
    a pointer filled in with an SDL_ColorSpace
     value describing the surface colorspace

RETURN VALUE
Returns 0 on success or a negative error code on failure; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.